---
title: Product Discounts
description: Discounts and promotions.
---

# Product Discounts

Discounts and promotions.

## [GET /discounts/promotions/promo-code/{promoCode}](/api-reference/product-discounts#tag/product-discounts/GET/discounts/promotions/promo-code/{promoCode})

Get promotion by code

Look up a promotion by its promotional code to check availability and details.

Authentication: X-Api-Key, or Bearer JWT + X-Api-Key

### Path parameters

- `promoCode` (`string`, required) — The promotional code to look up.

### Responses

#### 200

Promotion details including associated discount information.

Type: [Promotion](/api-reference/models.md#models/Promotion)

#### 400

The request was malformed or invalid.

Type: [Error](/api-reference/models.md#models/Error)

#### 401

Authentication is required to access this resource.

Type: [Error](/api-reference/models.md#models/Error)

#### 403

Access to this resource is forbidden.

Type: [Error](/api-reference/models.md#models/Error)

#### 404

The requested resource was not found.

Type: [Error](/api-reference/models.md#models/Error)

#### 500

An unexpected error occurred on the server.

Type: [Error](/api-reference/models.md#models/Error)

### Example request

```bash
curl https://apiv2.example.com/api/v2/discounts/promotions/promo-code/SUMMER25 \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'X-Api-Key: YOUR_API_KEY'
```
